function OnOpenWebSocketCommand()
{
	document.getElementById("message").innerHTML = 'Connexion Command Ok ...';
	SetBody();
}

function OnCloseWebSocketCommand()
{
	document.getElementById("message").innerHTML = 'Connexion Command Ko !!!';
}

function OnFlowTiming(objJSON) 
{
	const elClock = document.getElementById("clock");
	if (elClock != null)
	{
		elClock.innerHTML = objJSON.counter;
	}
}

function SetBody()
{
	var html;
	html  = '<form>';

	html += '<h3 class="text-center">KP Admin <span id="clock" class="badge bg-success">23h59.59.9</span></h3>';
	
	html += '<div class="row">';
	html += '<button onclick="onGoalLeft()" type="button" class="btn btn-outline-primary col">';
	html += 'GOAL LEFT';
	html += '</button>';
	html += '</div>';
	html += '<br>';

	html += '<div class="row">';
	html += '<button onclick="onGoalRight()" type="button" class="btn btn-outline-primary col">';
	html += 'GOAL RIGHT';
	html += '</button>';
	html += '</div>';
	html += '<br>';

	document.getElementById("main").innerHTML = html;
}

function onGoalLeft()
{
	Beep();
	wsContext.wsCommand.send(JSON.stringify({key:'<kp>', action:'goal_left'}));
}

function onGoalRight()
{
	Beep();
	wsContext.wsCommand.send(JSON.stringify({key:'<kp>', action:'goal_right'}));
}

function Beep() 
{
	var audio = new Audio('./sound/beep.wav');
	audio.play();
}

function Init()
{
	wsContext.lang = 'en';
	wsContext.url = wsParams.url;
	wsContext.port = wsParams.port;

	// Flow Notification
	wsContext.mapFlow.set('<timing>', OnFlowTiming);
			
	// Ouverture ws 
	wsContext.OpenWebSocketCommand(OnOpenWebSocketCommand, OnCloseWebSocketCommand);
	wsContext.OpenWebSocketFlow();
}